complexType "CoalPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, deliveryPeriods?, coal?, deliveryConditions?, deliveryQuantity?
</...>

Content Model Elements (8):

  coal,
  deliveryConditions (in coalPhysicalLeg),
  deliveryPeriods (in coalPhysicalLeg),
  deliveryQuantity (in coalPhysicalLeg),
  payerAccountReference,
  payerPartyReference,
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

All Direct / Indirect Based Elements (1):

  coalPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  coalPhysicalLeg

Annotation
Physically settled leg of a physically settled coal transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) PhysicalLeg (extension) CoalPhysicalLeg

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="CoalPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="deliveryPeriods" type="CommodityDeliveryPeriods"/> <xsd:element minOccurs="0" name="coal" type="CoalProduct"/> <xsd:element minOccurs="0" name="deliveryConditions" type="CoalDelivery"/> <xsd:element minOccurs="0" name="deliveryQuantity" type="CommodityPhysicalQuantity"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/8)
coal

  Type: | CoalProduct, complex content

  The specification of the Coal Product to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="coal" type="CoalProduct"/>

deliveryConditions

  Type: | CoalDelivery, complex content

  The physical delivery conditions for the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryConditions" type="CoalDelivery"/>

deliveryPeriods

  Type: | CommodityDeliveryPeriods, complex content

  The period during which delivery/deliveries of Coal Products may be scheduled. Equivalent to Nomination Period(s) for US Coal.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryPeriods" type="CommodityDeliveryPeriods"/>

deliveryQuantity

  Type: | CommodityPhysicalQuantity, complex content

  The different options for specifying the quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryQuantity" type="CommodityPhysicalQuantity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.